<?php
#
# Projeto :  Lucato 
# Data : 20/02/2004
# 
# ROBO Detalhe
#

    //*******************************************************************	
	// INCLUDES nao alterar a ordem dos includes
    //*******************************************************************	
	include "includes/library.php";
	include "includes/session.php";
 	include "includes/top_comum.php";
	
?>
<script>
	var id_empresa = new Array();
	
	function cadastro(){
		$("#lista_clientes").hide();
		var mensagem = "";
		
		
		
		/*for (i=0;i<id_empresa.length;i++){
			if (($("#envio_usario_"+id_empresa[i]).val()=="") || ($("#email_"+id_empresa[i]).val()=="")){
				mensagem = "<b>*Existe um cliente no qual está faltando um usuário ou um e-mail</b><br>";
			}
		}*/	
		
		if ($("input[name=senha]").val()==""){
			mensagem+= "<b>*Coloque a senha padrão para os usuários</b><br>";
		}
		
		if (mensagem!=""){
			$("#modal_formulario").html(mensagem);
			$("#alerta").modal();
			$("#lista_clientes").show();
			return false;
		}
		
		
		$.post("gravar_configurar_usuario.php",$("#liberar_acesso").serialize()).done(function(data){
			$("#codigo").hide();
			$("#email").hide();
			$("input[name=senha]").hide();
			$("#tit_usuario").hide();
			$("#documento").hide();
			$("#primeiro_nome").hide();
			$("#primeiro_nome_codigo").hide();
			$("#primeiro_nome_documento").hide();
			$("#titulo").html("Obrigado por configurar os usuários do Net Contábil, preste atenção na mensagem retornada do processamento.");
			$("#modal_formulario").html(data);
			$("#resultado").html("Resultado do processamento");
			$("#alerta").modal();
		})
		return false;
	}
	
	
	$(document).ready(function(){
		$("#codigo").click(function(){
			var aux_codigo = "";
			for (i=0;i<id_empresa.length;i++){
				aux_codigo = $("#codigo_"+id_empresa[i]).html() ;	
				$("#envio_usario_"+id_empresa[i]).val(aux_codigo);
			}
			return false;
		});
		
		$("#documento").click(function(){
			var aux_documento = "";
			for (i=0;i<id_empresa.length;i++){
				aux_documento = $("#documento_"+id_empresa[i]).html() ;	
				$("#envio_usario_"+id_empresa[i]).val(aux_documento);
			}
			return false;
		});
		
		$("#primeiro_nome").click(function(){
			var aux_primeiro_nome = "";
			for (i=0;i<id_empresa.length;i++){
				aux_primeiro_nome = $("#primeiro_nome_"+id_empresa[i]).val() ;	
				$("#envio_usario_"+id_empresa[i]).val(aux_primeiro_nome);
			}
			return false;
		});
		
		$("#primeiro_nome_codigo").click(function(){
			var aux_primeiro_nome_codigo = "";
			for (i=0;i<id_empresa.length;i++){
				aux_primeiro_nome_codigo = $("#primeiro_nome_codigo_"+id_empresa[i]).val();	
				$("#envio_usario_"+id_empresa[i]).val(aux_primeiro_nome_codigo);
			}
			return false;
		});
		
		$("#primeiro_nome_documento").click(function(){
			var aux_primeiro_nome_documento = "";
			for (i=0;i<id_empresa.length;i++){
				aux_primeiro_nome_documento =  $("#primeiro_nome_documento_"+id_empresa[i]).val() ;	
				$("#envio_usario_"+id_empresa[i]).val(aux_primeiro_nome_documento);
			}
			return false;
		});
		
		
		$("#email").click(function(){
			var aux_email = "";
			for (i=0;i<id_empresa.length;i++){
				aux_email = $("#email_"+id_empresa[i]).val() ;	
				$("#envio_usario_"+id_empresa[i]).val(aux_email);
			}
			return false;
		})
		
		$("#fechar").click(function(){
			window.location.reload();
		});
		
		$("#fechar_topo").click(function(){
			window.location.reload();
		});
	})
	
</script>
<div class="row">
					<div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
						<h1 class="page-title txt-color-blueDark"><i class="fa-fw fa fa-desktop"></i> Configurar os usuários.</h1> 
					</div>
</div>
	<div class="alert alert-warning" role="alert">
							<b>*Só aparecerão nessa listagem quem já está liberado para acessar o Net Contábil e quem não possuir nenhum usuário configurado para acessar a área restrita.</b><br><br>
							<b>*Se no cadastro de clientes não existir o e-mail, será verificado o e-mail de cobrança que está cadastrado no Neo Fatura.</b><br><br>
							<b>*Você pode cadastrar o usuário que você desejar para cada empresa, mas se você quiser utilizar as sugestões de "E-MAIL", "CÓDIGO", "DOCUMENTO", para usuário, basta clicar nos botões que estão logo abaixo, que o campo de usuário, será preenchido automaticamente.</b><br>
	</div>
<div class="panel panel-default">
  <div class="panel-heading" id="titulo">Configure o usuário e o e-mail</div>
		  <h2 style='margin:5px 5px 5px 15px' id="tit_usuario">Usuário como:</h2>
		  <div style='margin:5px 0px 0px 15px'>
			<a href='#' id="email" class="btn btn-primary btn-sm" style='margin-top:10px;'>E-MAIL</a>
			<a href='#' id='codigo' class="btn btn-primary btn-sm" style='margin-top:10px;'>CÓDIGO</a>
			<a href='#' id='documento' class="btn btn-primary btn-sm" style='margin-top:10px;'>DOCUMENTO</a>
			<!--<a href='#' id='primeiro_nome' class="btn btn-primary btn-sm" style='margin-top:10px;'>PRIMEIRA PALAVRA DO NOME OU RAZÃO SOCIAL</a>-->
			<a href='#' id='primeiro_nome_codigo' class="btn btn-primary btn-sm" style='margin-top:10px;'>PRIMEIRA PALAVRA DO NOME OU RAZÃO SOCIAL . CÓDIGO</a> <br>
			<!--<a href='#' id='primeiro_nome_documento' class="btn btn-primary btn-sm" style='margin-top:10px;'>PRIMEIRA PALAVRA DO NOME OU RAZÃO SOCIAL . DOCUMENTO</a>-->
		  </div>
		  <br>
		  <form action="gravar_configurar_usuario.php" method="post" id="liberar_acesso" onsubmit="return cadastro()">
		  <input type="text" name="senha" class="form-control" placeholder="Senha Padrão" style='width:200px;margin:5px 5px 5px 15px'>
		  
		  <div class="panel-body" id="lista_clientes">	
		  
			<table class="table table-bordered">
				<thead>
				<tr>
					<th>Código</th>
					<th>Nome</th>
					<th>Documento</th>
					<th>Usuário</th>
					<th>E-mail</th>
					<th>DDD</th>
					<th>Whatsapp</td>
				</tr>
				</thead>
				<tbody>
			<?php
				$sql="SELECT * FROM CLIENTE WHERE (IMPORTAR_DADOS = 1 AND DESATIVACAO_DATA IS NULL) ORDER BY NOME ";
				$CLI = new QUERY($DATABASE,$sql);
				$i=0;
				$id = array();
				$primeiro_nome = "";
				while ($CLI->NEXT()){
					$sql = "SELECT * FROM NETCONT_USUARIO WHERE CLIENTEID ='".$CLI->BYNAME("ID")."'";
					$ANALISE = new QUERY($DATABASE,$sql);
					//echo "<pre>";
					//print_r($ANALISE);
					//echo "</pre>";
					if (!$ANALISE->NEXT()){
						$id[] = $CLI->BYNAME("ID");
						
						$aux_nome = explode(" ",$CLI->BYNAME("NOME"));
						$primeiro_nome = $aux_nome[0];
						unset($aux_nome);
						
			?>
						<tr>
							<td id="codigo_<?php echo $CLI->BYNAME("ID")?>"><?php echo $CLI->BYNAME("CODIGO")?></td>
							<td><?php echo $CLI->BYNAME("NOME"); ?></td>
							<td id="documento_<?php echo $CLI->BYNAME("ID")?>"><?php echo $CLI->BYNAME("CNPJ_CPF"); ?></td>
							<td>
								<input type="text" name="usuario[]" id="envio_usario_<?php echo $CLI->BYNAME("ID")?>" value="" class="form-control" >
							</td>
							<td>
								<?php if ($CLI->BYNAME("EMAIL")!=""){ ?>
									<input type="text" name="email[]" id="email_<?php echo $CLI->BYNAME("ID")?>" value="<?php echo strtolower($CLI->BYNAME("EMAIL")); ?>" class="form-control" >
								<?php }else{ ?>
									<input type="text" name="email[]" id="email_<?php echo $CLI->BYNAME("ID")?>" value="<?php echo strtolower($CLI->BYNAME("COB_EMAIL")); ?>" class="form-control" >
								<?php } ?>
								<input type="hidden" name="cliente[]" value="<?php echo $CLI->BYNAME("ID")?>" >
								<input type="hidden" name="primeiro_nome[]" id="primeiro_nome_<?php echo $CLI->BYNAME("ID")?>" value="<?php echo $primeiro_nome ?>"  >
								<input type="hidden" name="primeiro_nome_codigo[]" id="primeiro_nome_codigo_<?php echo $CLI->BYNAME("ID")?>" value="<?php echo $primeiro_nome.".".$CLI->BYNAME("CODIGO") ?>"  >
								<input type="hidden" name="primeiro_nome_documento[]" id="primeiro_nome_documento_<?php echo $CLI->BYNAME("ID")?>" value="<?php echo $primeiro_nome.".".$CLI->BYNAME("CNPJ_CPF") ?>"  >
							</td>
							<td><input type="text" name="ddd[]"></td>
							<td><input type="text" name="whatsapp[]"></td>
						</tr>
							
			<?php
					$i++;
					}
					if ($i==10) break;
				}
			?>
				</tbody>
				<tfoot>
				<tr>
					<th>Total:</th>
					<th colspan="4"><?php echo $i; ?></th>
				</tr>
				</tfoot>
			</table>
			<center><input value="Configurar usuários no Net Contábil" class="btn btn-primary btn-sm"  type="submit"></center>
			<script>
			<?php
				foreach ($id as $aux){
					echo "id_empresa.push('$aux');\n";
				}
			?>
			</script>
		</div>		
		<div class="modal fade" id="alerta" data-backdrop="static" data-keyboard="false">
		  <div class="modal-dialog" style='width:800px;'>
			<div class="modal-content">
			  <div class="modal-header">
				<button type="button" class="close" data-dismiss="modal" aria-label="Fechar" id="fechar_topo"><span aria-hidden="true" >&times;</span></button>
				<h4 class="modal-title" id="resultado">Consistência</h4>
			  </div>
			  <div class="modal-body" id="modal_formulario">
				
			  </div>
			  <div class="modal-footer">
				<button type="button" class="btn btn-default" data-dismiss="modal" id="fechar">Fechar</button>
			  </div>
			</div><!-- /.modal-content -->
		  </div><!-- /.modal-dialog -->
		</div><!-- /.modal -->
		
	</div>
<?php 	
include("includes/bottom_comum.php"); 
?>